## org.eclipse.amp.escape.amf.ide3d
Class ExecuteAMF3DHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler
                      org.eclipse.amp.escape.amf.ide.ExecuteAMFHandler
                          org.eclipse.amp.escape.amf.ide3d.ExecuteAMF3DHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

    public class ExecuteAMF3DHandler

extends ExecuteAMFHandler

Field Summary

Fields inherited from class org.eclipse.amp.escape.amf.ide.ExecuteAMFHandler
`modelResource`

Constructor Summary
`ExecuteAMF3DHandler()`

Method Summary
`protected java.lang.String` `getModelClass(SImplementation impl)`

Methods inherited from class org.eclipse.amp.escape.amf.ide.ExecuteAMFHandler
`executeOpen, getModel, handleSelect`

Methods inherited from class org.eclipse.amp.escape.command.ExecuteHandler
`createRunner, execute, isHeadless, setEnabled, setHeadless`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteAMF3DHandler

    public ExecuteAMF3DHandler()

Method Detail

### getModelClass

    protected java.lang.String getModelClass(SImplementation impl)

  Overrides:
    `getModelClass` in class `ExecuteAMFHandler`